Loading...
Searching...
No Matches
pcl::PointXYZLAB Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, and the CIELAB color. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZLAB:

## Public Member Functions

constexpr | PointXYZLAB (const _PointXYZLAB &p)
constexpr | PointXYZLAB ()
constexpr | PointXYZLAB (float _x, float _y, float _z, float _l, float _a, float _b)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZLAB &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZLAB
union { |
struct { |
float L |
float a |
float b |
} |  |
float data_lab [4] |
}; |  |

## Detailed Description

A point structure representing Euclidean xyz coordinates, and the CIELAB color.

Definition at line 658 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZLAB() [1/3]

constexpr pcl::PointXYZLAB::PointXYZLAB | ( | const _PointXYZLAB & | p | ) |

inline constexpr

Definition at line 660 of file point_types.hpp.

## PointXYZLAB() [2/3]

constexpr pcl::PointXYZLAB::PointXYZLAB | ( |  | ) |

inline constexpr

Definition at line 662 of file point_types.hpp.

## PointXYZLAB() [3/3]

constexpr pcl::PointXYZLAB::PointXYZLAB | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _l,
|  | float | _a,
|  | float | _b
| ) |  |

inline constexpr

Definition at line 664 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PointXYZLAB & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp